=== PLUGINS/src/cpumon-0.0.6a/debian/changelog ===
vdr-plugin-cpumon (0.0.6a-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
  
  Important:
  
  If you intend to make this plugin available to others, please create an
  ITP-bug (see http://www.debian.org/devel/wnpp ) and contact the
  Debian VDR packaging team: pkg-vdr-dvb-devel@lists.alioth.debian.org

 -- Philipp Glass <philipp.glass@web.de>  Sun, 12 Jul 2009 18:51:48 +0200
