=== PLUGINS/src/cpumon-0.0.6a/debian/control ===
Source: vdr-plugin-cpumon
Section: misc
Priority: extra
Maintainer: Philipp Glass <philipp.glass@web.de>
Build-Depends: cdbs, debhelper (>= 7), vdr-dev (>= 1.6.0-9ubuntu1), gettext
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-cpumon/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-cpumon/trunk/
Homepage: <url://example.com>

Package: vdr-plugin-cpumon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR CPU Monitor plugin
 This VDR plugin shows the CPU utilisation, divided into user, nice, system and idle time.
XB-VDR-Patchlevel: ${vdr:Patchlevel}
