=== PLUGINS/src/webvideo-0.3.2/debian/control ===
Source: vdr-plugin-webvideo
Section: video
Priority: extra
Maintainer: Antti Ajanki <antti.ajanki@iki.fi>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 5.0.38), cdbs (>= 0.4.49), txt2man, vdr-dev (>= 1.6.0-5), gettext, libxml2-dev, python-all-dev, python-central (>= 0.5.6), libglib2.0-dev
Standards-Version: 3.8.3
Homepage: http://users.tkk.fi/~aajanki/vdr/webvideo
XS-Python-Version: >= 2.5

Package: python-webvi
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-libxml2, python-libxslt1, python-pycurl, python-simplejson, mimms
Replaces: vdr-plugin-webvideo (<< 0.2.0), webvid (<< 0.2.0)
Description: Web video downloader library - Python module
 This package provides a library for downloading video and audio
 streams from media sharing websites, such as YouTube or Google Video.
 .
 This is the Python module.
XB-Python-Version: ${python:Versions}

Package: libwebvi0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-webvi
Description: Web video downloader library - shared library
 This package provides a library for downloading video and audio
 streams from media sharing websites, such as YouTube or Google Video.
 .
 This is the shared library.
XB-Python-Version: ${python:Versions}

Package: libwebvi-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libc-dev
Description: Web video downloader library - development files
 This package provides a library for downloading video and audio
 streams from media sharing websites, such as YouTube or Google Video.
 .
 This package contains the development files.

Package: vdr-plugin-webvideo
Architecture: any
Section: video
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, libwebvi0
Suggests: vdr-plugin-mplayer | vdr-plugin-xineliboutput
Description: VDR plugin for downloading videos from the Web
 This plugin for the Linux Video Disc Recorder (VDR) provides ability
 to download video files from popular video sharing websites, such as
 YouTube or Google Video.
