=== PLUGINS/src/webvideo-0.3.2/debian/watch ===
version=2
http://users.tkk.fi/~aajanki/vdr/webvideo/vdr-webvideo-(.*)\.tgz
